"""Views for the main app"""

from django.views.generic import TemplateView
from django.shortcuts import render, redirect


class IndexView(TemplateView):
    """View for the index page"""

    template_name = "main/index.html"

    def get(self, request, *args, **kwargs):
        """Handle GET requests"""

        if not request.user.is_authenticated:
            return redirect("users:login")

        return render(request, self.template_name)


class TeamsView(TemplateView):
    """View for the teams page"""

    template_name = "main/teams.html"

    def get(self, request, *args, **kwargs):
        """Handle GET requests"""

        return render(request, self.template_name)


class SectionsView(TemplateView):
    """View for the sections page"""

    template_name = "main/sections.html"

    def get(self, request, *args, **kwargs):
        """Handle GET requests"""

        return render(request, self.template_name)


class ResultsView(TemplateView):
    """View for the results page"""

    template_name = "main/results.html"

    def get(self, request, *args, **kwargs):
        """Handle GET requests"""

        return render(request, self.template_name)
