"""Views for the users app."""

from django.shortcuts import render, redirect
from django.views.generic import TemplateView


class IndexView(TemplateView):
    """View for the index page"""

    template_name = "users/index.html"

    def get(self, request, *args, **kwargs):
        """Handle GET requests"""

        if request.user.is_authenticated:
            return redirect("main:index")

        return redirect("users:login")


class LoginView(TemplateView):
    """View for the login page"""

    template_name = "users/login.html"

    def get(self, request, *args, **kwargs):
        """Handle GET requests"""

        return render(request, self.template_name)


class LogoutView(TemplateView):
    """View for the logout page"""

    template_name = "users/logout.html"

    def get(self, request, *args, **kwargs):
        """Handle GET requests"""

        return render(request, self.template_name)


class RegisterView(TemplateView):
    """View for the register page"""

    template_name = "users/register.html"

    def get(self, request, *args, **kwargs):
        """Handle GET requests"""

        return render(request, self.template_name)

